f



Gcc 3.4.X to Gcc 4.1.X upgrading

Hi Guys,
I know that upgrade from GCC-3.3 to 3.4 is not seamless as the C++ ABI
changed between these two versions. There is an issue with the libstdc+
+ library which must be taken care of, as well.
However is there a issue in upgrading from gcc 3.4.X to Gcc 4.1. X?
Say incompatibilities with source code (tempates, defaults include
files etc) and ABI


Also, is there a issue if I have libraries  compiled with gcc 4.1.2
version and gcc-3.4.2? Can we get conflicting symbols?

Thanks
AS
0
kas
4/22/2010 8:34:35 PM
comp.lang.c++ 49423 articles. 7 followers. Post Follow

2 Replies
552 Views

Similar Articles

[PageSpeed] 31

kas wrote:
> Hi Guys,
> I know that upgrade from GCC-3.3 to 3.4 is [..]

Your question is about the tool, not about the language itself.  Please 
consider posting to the newsgroup dealing with the tool from the gnu.* 
hierarchy.

V
-- 
Please remove capital 'A's when replying by e-mail
I do not respond to top-posted replies, please don't ask
0
Victor
4/22/2010 8:52:18 PM
On Apr 22, 1:52=A0pm, Victor Bazarov <v.Abaza...@comAcast.net> wrote:
> kas wrote:
> > Hi Guys,
> > I know that upgrade from GCC-3.3 to 3.4 is [..]
>
> Your question is about the tool, not about the language itself. =A0Please
> consider posting to the newsgroup dealing with the tool from the gnu.*
> hierarchy.
>

OP's best bet is probably gnu.g++.help
0
red
4/22/2010 8:56:34 PM
Reply: